Package org.opensaml.messaging.error

# Interface PipelineMessageErrorHandler

All Superinterfaces:
  `MessageErrorHandler`

@Deprecated(since="5.0.0", forRemoval=true) public interface PipelineMessageErrorHandler extends MessageErrorHandler
Deprecated, for removal: This API element is subject to removal in a future version.
A specialization of error handler where the error is handled via use of a specified message handler and message encoder.

## Method Summary

Modifier and Type
Method
Description
`MessageHandler`
`getHandler()`
Deprecated, for removal: This API element is subject to removal in a future version.
Get the handler to invoke on the outbound error message.
`MessageEncoder`
`getMessageEncoder()`
Deprecated, for removal: This API element is subject to removal in a future version.
Get the message encoder used to encode the outbound error message.
`void`
`setHandler(MessageHandler handler)`
Deprecated, for removal: This API element is subject to removal in a future version.
Set the handler to invoke on the outbound error message.
`void`
`setMessageEncoder(MessageEncoder messageEncoder)`
Deprecated, for removal: This API element is subject to removal in a future version.
Set the message encoder used to encode the outbound error message.

### Methods inherited from interface org.opensaml.messaging.error.MessageErrorHandler

`handleError`

## Method Details

### getHandler

MessageHandler getHandler()
Deprecated, for removal: This API element is subject to removal in a future version.
Get the handler to invoke on the outbound error message.

Returns:
  the outbound error handler

### setHandler

void setHandler(MessageHandler handler)
Deprecated, for removal: This API element is subject to removal in a future version.
Set the handler to invoke on the outbound error message.

Parameters:
  `handler` - the outbound error handler

### getMessageEncoder

MessageEncoder getMessageEncoder()
Deprecated, for removal: This API element is subject to removal in a future version.
Get the message encoder used to encode the outbound error message.

Returns:
  the outbound error message encoder

### setMessageEncoder

void setMessageEncoder(MessageEncoder messageEncoder)
Deprecated, for removal: This API element is subject to removal in a future version.
Set the message encoder used to encode the outbound error message.

Parameters:
  `messageEncoder` - the outbound error message encoder